HomeGuidesAPI Reference
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

Firmware Upgrade at MSP Level

Upgrade the specific type of devices to firmware version, for all the tenants of an MSP customer.

To initiate upgrade for certain type of devices, specify device_type as one of "IAP" for swarm, "MAS" for MAS switches, "HP" for aruba switches, "CX" for CX switches, "CONTROLLER" for controllers respectively.

To exclude groups from the upgrade, please specify exclude_groups with a list of groups in the body.

To exclude tenants from the upgrade, please specify exclude_customers with a list of tenant IDs in the body.

Possible error_codes for the error responses are

  1. 0001 - General Error.
  2. 0003 - Validation Error. Unsupported query combination
  3. 0004 - Validation Error. Invalid value for a query parameter
  4. 0005 - Validation Error. Missing required parameter.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Initiate firmware upgrade for the device type.

int32

Firmware upgrade will be schedule at, firmware_scheduled_at - current time. firmware_scheduled_at is epoch in seconds and default value is current time.

string
required

Specify one of "IAP/MAS/HP/CX/CONTROLLER"

string

Specify firmware version which you want device to upgrade. If you do not specify this field then firmware upgrade initiated with recommended firmware version

boolean

Use True for auto reboot after successful firmware download. Default value is False. Applicable only on MAS, aruba switches, CX switches, and controller since IAP reboots automatically after firmware download.

string

List of groups to be excluded while upgrading firmware, e.g. "["TestGroup1", "TestGroup2"]"

string

List of customer IDs to be excluded while upgrading firmware, e.g. "["111111", "111112"]"

Responses

401

Unauthorized

403

Forbidden

404

Not found

413

Request-size limit exceeded

417

Request-size limit exceeded

429

API Rate limit exceeded

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json